[问题]怎样把Emacs22升级为Emacs23?

Vim、Emacs配置和使用
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

[问题]怎样把Emacs22升级为Emacs23?

#1

帖子 薰衣草的轨迹 » 2008-08-17 10:59

8.04的系统。谢谢! :D :D :D :D
头像
jarodlau
帖子: 501
注册时间: 2005-09-06 20:34
送出感谢: 3 次
接收感谢: 1 次
联系:

#2

帖子 jarodlau » 2008-08-17 11:07

加源

代码: 全选

# Emacs snapshot 23
 deb http://emacs.orebokech.com/ sid main
 deb-src http://emacs.orebokech.com/ sid main
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 薰衣草的轨迹 » 2008-08-17 11:57

W: GPG error: http://emacs.orebokech.com sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY A20376BEC03C56DF
W: You may want to run apt-get update to correct these problems

使用sudo apt-get update时的错误提示……
头像
jarodlau
帖子: 501
注册时间: 2005-09-06 20:34
送出感谢: 3 次
接收感谢: 1 次
联系:

#4

帖子 jarodlau » 2008-08-17 12:02

打开网页

下载key,然后安装就可以了
附件
Screenshot-4.png
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 薰衣草的轨迹 » 2008-08-17 16:54

代码: 全选

sid main 
???好奇怪……

————————————————————————————
我想说……牛先生您能说得明白一点吗?……本人是小白……
cvgmt
帖子: 322
注册时间: 2007-02-26 2:29
来自: 广东
送出感谢: 0
接收感谢: 0

#6

帖子 cvgmt » 2008-08-18 8:04

编译源代码吧
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 薰衣草的轨迹 » 2008-08-18 13:19

代码: 全选

sid main 
这是Debian的源吧……

正确的源似乎应该是这个……

代码: 全选

deb http://ppa.launchpad.net/ubuntu-elisp/ubuntu hardy main
deb-src http://ppa.launchpad.net/ubuntu-elisp/ubuntu hardy main
网址是……
https://launchpad.net/~ubuntu-elisp/+archive

不过……我又有新的问题了……emacs-snapshot和emacs 23是什么关系?总觉得好像emacs-snapshot是“XXX修改版”,不太放心……所以没安……啊对了……加上hardy的源后,新立得里面就有emacs-snapshot和emacs-snapshot-nox了。
cvgmt
帖子: 322
注册时间: 2007-02-26 2:29
来自: 广东
送出感谢: 0
接收感谢: 0

#8

帖子 cvgmt » 2008-08-18 14:05

emacs-snapshot 就是用 emacs23 的 cvs 源代码编译的 .deb 包,emacs 23 还没有 release,都只是提供源代码,那个 .deb 不是最新的,还是建议编译最近这个月的源代码吧,完全不用设置,字体已经非常好看,没有毛刺。
头像
jarodlau
帖子: 501
注册时间: 2005-09-06 20:34
送出感谢: 3 次
接收感谢: 1 次
联系:

#9

帖子 jarodlau » 2008-08-18 14:08

sid里的,是每周更新一次
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 薰衣草的轨迹 » 2008-08-18 15:21

……我是小白……小白!
cvgmt
帖子: 322
注册时间: 2007-02-26 2:29
来自: 广东
送出感谢: 0
接收感谢: 0

#11

帖子 cvgmt » 2008-08-18 23:12

jarodlau 写了:打开网页

下载key,然后安装就可以了
如何安装那个 key?
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 薰衣草的轨迹 » 2008-08-20 20:26

cvgmt 写了:
jarodlau 写了:打开网页

下载key,然后安装就可以了
如何安装那个 key?
其实,我也想知道这个问题的答案……
头像
hack3king
帖子: 22
注册时间: 2008-08-17 10:34
送出感谢: 0
接收感谢: 0

#13

帖子 hack3king » 2008-08-20 21:32

apt-key add filename

man apt-key
cvgmt
帖子: 322
注册时间: 2007-02-26 2:29
来自: 广东
送出感谢: 0
接收感谢: 0

#14

帖子 cvgmt » 2008-08-20 21:45

先在 andLinux 中的 xfce Ubuntu 试了一下,已经加进去了,谢谢ls.
不过好像只能装那个稳定版,也就是用源
deb http://emacs.orebokech.com etch main
deb-src http://emacs.orebokech.com etch main
如果用源
deb http://emacs.orebokech.com sid main
deb-src http://emacs.orebokech.com sid main
好像不行。


正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
emacs-snapshot: 依赖: libasound2 (> 1.0.16) 但是 1.0.15-3ubuntu4 正要被安装
E: 无法安装的软件包
头像
薰衣草的轨迹
帖子: 130
注册时间: 2008-07-07 11:16
来自: 辽宁-大连
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 薰衣草的轨迹 » 2008-08-21 9:22

cvgmt 写了:emacs-snapshot 就是用 emacs23 的 cvs 源代码编译的 .deb 包,emacs 23 还没有 release,都只是提供源代码,那个 .deb 不是最新的,还是建议编译最近这个月的源代码吧,完全不用设置,字体已经非常好看,没有毛刺。
编译安装后原来用apt-get安装的Emacs22会怎样?会不会配置全部消失……会不会能和原来的Emacs共存……
回复

回到 “Vim和Emacs”